A instalação gráfica FGLRX proprietária da ATI / AMD falha, como posso resolver o problema? [fechadas]

20

Desejo ativar o driver gráfico FGLRX proprietário da ATI / AMD (atualização pós-lançamento), mas há um problema durante a instalação. Diz:

Sorry, installation of this driver failed.

Please have a look at the log file for details: /var/log/jockey.log

Como posso instalar este driver?

    
por taha 13.11.2011 / 19:58
fonte

4 respostas

16

Remova e limpe a versão atual e instale as atualizações:

  1. sudo apt-get --purge remove fglrx*
  2. sudo apt-get install fglrx-updates fglrx-amdcccle-updates
  3. Reinicializar

Certificar-se de que o fglrx está completamente removido é um passo importante. Não funcionou na primeira vez que tentei instalar as atualizações e no final removi cada pacote fglrx individualmente, um individualmente, removido não mais dependências sudo apt-get autoremove , reinicializado, em seguida, instalei as atualizações sudo apt-get install fglrx-updates fglrx-amdcccle-updates , reinicializei e (como por escrito) eu tenho a versão do catalisador 11.11 (que ainda não funciona com o gnome3) .

12,10

  • 21 Oct 2012 - fglrx não está funcionando em 12.10, consulte relatório de erros .
  • 4 jan 2013 - ainda sem correção, bug relatórios estão em chamas,
  • 27 de julho de 2013 - Ainda sem conserto suspiro

12.10 Resolução de problemas

Se você tiver problemas com gráficos depois de instalar ou atualizar para o 12.10, você precisará remover fglrx e usar os drivers de código aberto:

    $ sudo apt-get remove fglrx*

Se você ficar preso em um aviso sobre "gráficos baixos":

  1. Abra o terminal Ctrl + Alt + F1
  2. Remover fglrx: sudo apt-get remove fglrx*
  3. Reinicialização: sudo reboot

Para mais informações, veja a questão da SO Não é possível instalar os drivers proprietários da ATI em 12.10 .

13,04

  • 27 de julho de 2013 - fglrx não funciona. suspiro

Notas

  • Quais pacotes estão instalados atualmente? dpkg -l fglrx*

    $ dpkg -l fglrx*
    un  fglrx          <none>         (no description available)
    un  fglrx-amdcccle <none>         (no description available)
    ii  fglrx-amdcccle 2:8.911-0ubunt Catalyst Control Center for the AMD graphics
    un  fglrx-control  <none>         (no description available)
    un  fglrx-control- <none>         (no description available)
    un  fglrx-driver   <none>         (no description available)
    un  fglrx-kernel-s <none>         (no description available)
    un  fglrx-modalias <none>         (no description available)
    ii  fglrx-updates  2:8.911-0ubunt Video driver for the AMD graphics accelerato
    
  • Confirme se os drivers estão funcionando fglrxinfo

    $ fglrxinfo 
    display: :0  screen: 0
    OpenGL vendor string: Advanced Micro Devices, Inc.
    OpenGL renderer string: AMD Radeon HD 6300M Series
    OpenGL version string: 4.2.11733 Compatibility Profile Context
    
  • Para o Catalyst < = 11,11 com o gnome < = 3,2 Espera que a tela fique trêmula e o sistema trava.

  • Driver de exibição patenteado da AMD Catalyst - Linux x86 & Linux x86_64

  • Obtenha informações do dispositivo: lspci ou verboso lspci -vv

por Gerard Roche 13.04.2017 / 14:24
fonte
7

Tudo o que o Jockey faz é instalar fglrx e fglrx-amdcccle no caso de drivers normais e fglrx-updates e fglrx -amdcccle-updates quando você seleciona a opção de atualizações pós-lançamento, apesar de falhar de alguma forma, pois não sei qual razão.

Você pode simplesmente instalar / ativar a opção driver de gráficos FGLRX proprietário da ATI / AMD (atualização pós-lançamento) digitando a seguinte linha no terminal:

sudo apt-get install fglrx-updates fglrx-amdcccle-updates

ou pesquise por esses pacotes dentro do Ubuntu Software Center e instale-os a partir daí.

    
por Ravish Malik 16.11.2011 / 11:36
fonte
3

Um excelente recurso para instalar o driver mais recente da ATI e fácil de seguir. Instalando o driver mais recente da Catalyst da ATI no Ubuntu 11.10

Bob Bowles (ed.): Eu achei o site de download da ATI muito fácil de usar, com boa auto-documentação no processo de download / build / deploy. Site de download da ATI .

    
por duffydack 07.01.2012 / 23:12
fonte
0

No meu laptop T400, a placa gráfica ATI Mobility Radeon tornou-se incompatível com o mais recente driver 13.10 fglrx.

(II) Module fglrx: vendor="FireGL - AMD Technologies Inc."
   compiled for 1.4.99.906, module version = 13.10.10

$ lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV620/M82 [Mobility Radeon HD 3450/3470]
$ lspci -n | grep 01:00.0
01:00.0 0300: 1002:95c4

O /var/log/Xorg.0.log mostra esta linha:

(EE) No supported AMD display adapters were found

Corrigido o downgrade e o bloqueio do pacote fglrx com o gerenciador de sináptico: link

Como texto:

  1. inicie o synaptic
  2. pesquise pelo pacote fglrx
  3. escolha o menu Pacote - > versão de força
  4. depois de selecionar a versão anterior, clique em aplicar
  5. escolha o menu Pacote - > versão de bloqueio

Agora o Steam no Linux funciona novamente também.

    
por Joni Nevalainen 10.02.2014 / 11:43
fonte